English ▼
Skip to page content Skip to main navigation
e.g. "templates" or "datastore"

# The Enum Class

#### Experimental!

ProtoRPC is an experimental, innovative, and rapidly changing new feature for App Engine. Unfortunately, being on the bleeding edge means that we may make backwards-incompatible changes to ProtoRPC. We will inform the community when this feature is no longer experimental.

The Enum class is the base class for all enumerated types, used to initialize new Enum instances.

`Enum` is provided by the `protorpc.messages` module.

- Enum()
- Class Methods
  - to_dict()

## Constructor

The constructor of the EnumField class is defined as follows:

class Enum(name, number=None)

  Initializes an Enum instance automatically when the class is constructed. Integers and strings are cast automatically to the enum values.

  Arguments:

  name
    The name of the Enum instance to initialize.
  number
    The number of the Enum instance to initialize.

  Raises an exception if called on a class that has already been initialized.

## Class Methods

The Enum class provides the following class methods:

to_dict()
  Makes a dictionary version of enumerated class. You can use this dictionary with def_num and import_enum.
  Returns a dictionary name and number for the enumerated class.